Package com.independentsoft.office.word.fields

# Class SimpleField

java.lang.Object
com.independentsoft.office.word.fields.SimpleField

All Implemented Interfaces:
  `IContentElement`, `IParagraphContent`

public class SimpleField extends Object implements IParagraphContent
The Class SimpleField.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleField()`
  Instantiates a new simple field.
  `SimpleField​(InternalXMLStreamReader reader)`
  Instantiates a new simple field.
  `SimpleField​(Field field)`
  Instantiates a new simple field.
  `SimpleField​(String codes)`
  Instantiates a new simple field.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(SmartTag smartTag)`
  Adds the.
  `void`
  `add​(IParagraphContent contentElement)`
  Adds the.
  `void`
  `add​(Run run)`
  Adds the.
  `SimpleField`
  `clone()`
  `String`
  `getCodes()`
  Gets the codes.
  `List<IParagraphContent>`
  `getContent()`
  Gets the content.
  `List<IContentElement>`
  `getContentElements()`
  `ExtendedBoolean`
  `getDirty()`
  Gets the dirty.
  `Field`
  `getField()`
  Gets the field.
  `ExtendedBoolean`
  `getLock()`
  Gets the lock.
  `void`
  `setCodes​(String codes)`
  Sets the codes.
  `void`
  `setDirty​(ExtendedBoolean dirty)`
  Sets the dirty.
  `void`
  `setField​(Field field)`
  Sets the field.
  `void`
  `setLock​(ExtendedBoolean lockfield)`
  Sets the lock.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SimpleField

    public SimpleField()
    Instantiates a new simple field.

  - ### SimpleField

    public SimpleField​(Field field)
    Instantiates a new simple field.
    Parameters:
      `field` - the field

  - ### SimpleField

    public SimpleField​(String codes)
    Instantiates a new simple field.
    Parameters:
      `codes` - the codes

  - ### SimpleField

    public SimpleField​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new simple field.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### add

    public void add​(Run run)
    Adds the.
    Parameters:
      `run` - the run

  - ### add

    public void add​(SmartTag smartTag)
    Adds the.
    Parameters:
      `smartTag` - the smart tag

  - ### add

    public void add​(IParagraphContent contentElement)
    Adds the.
    Parameters:
      `contentElement` - the content element

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public SimpleField clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IParagraphContent`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getField

    public Field getField()
    Gets the field.
    Returns:
      the field

  - ### setField

    public void setField​(Field field)
    Sets the field.
    Parameters:
      `field` - the new field

  - ### getContent

    public List<IParagraphContent> getContent()
    Gets the content.
    Returns:
      the content

  - ### getDirty

    public ExtendedBoolean getDirty()
    Gets the dirty.
    Returns:
      the dirty

  - ### setDirty

    public void setDirty​(ExtendedBoolean dirty)
    Sets the dirty.
    Parameters:
      `dirty` - the new dirty

  - ### getLock

    public ExtendedBoolean getLock()
    Gets the lock.
    Returns:
      the lock

  - ### setLock

    public void setLock​(ExtendedBoolean lockfield)
    Sets the lock.
    Parameters:
      `lockfield` - the new lock

  - ### getCodes

    public String getCodes()
    Gets the codes.
    Returns:
      the codes

  - ### setCodes

    public void setCodes​(String codes)
    Sets the codes.
    Parameters:
      `codes` - the new codes